
// 1=Android、2=IOS
export function formatIOS(type){
    const result = {
        'android':1,
        'ios':2,
    }
    return result[type];
}

// 紧急程度 1-紧急 2-急 3-一般
export function formatLevel(type){
    const result = {
        1:'紧急',
        2:'急',
        3:'一般',
    }
    return result[type];
}

// 任务(巡检)状态 1=未发布 2=已发布 3 进行中or执行中 4 已完成 5 已过期
export const taskStatusOptions =[
    {value:1,label:'未发布'},
    {value:2,label:'已发布'},
    {value:3,label:'执行中'},
    {value:4,label:'已完成'},
    {value:5,label:'已过期'},
]
export function formatTaskStatus(status){
    const result = {
        1:'未发布',
        2:'已发布',
        3:'执行中',
        4:'已完成',
        5:'已过期',
    }
    return result[status];
}

// 巡检类型 1 日常任务 2 临时任务
export const taskTypeOptions =[
    {value:0,label:'全部类型'},
    {value:1,label:'日常巡检'},
    {value:2,label:'临时巡检'},
]
export function formatTaskType(status){
    const result = {
        1:'日常巡检',
        2:'临时巡检',
    }
    return result[status];
}
